> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Client Billing

> Reads the caller's billing plan, offered prices, next charge and masked card.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /platform/get-client-billing
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/get-client-billing:
    get:
      operationId: getClientBilling
      summary: Get Client Billing
      description: >-
        Reads the caller's billing plan, offered prices, next charge and masked
        card.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetClientBillingResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetClientBillingResponse:
      type: object
      properties:
        available:
          type: boolean
        canStart:
          type: boolean
        canResume:
          type: boolean
        agreement:
          type:
            - object
            - 'null'
          properties:
            version:
              type: string
            url:
              type: string
          required:
            - version
            - url
        plans:
          type: array
          items:
            type: object
            properties:
              catalogVersion:
                type: string
              name:
                type: string
              billingInterval:
                type: string
                enum:
                  - MONTHLY
                  - ANNUAL
              trialDays:
                type: integer
              priceDescription:
                type: string
              periodAmount:
                type: string
              currency:
                type: string
              seats:
                type: array
                items:
                  type: string
              current:
                type: boolean
              preview:
                type:
                  - object
                  - 'null'
                properties:
                  takesEffect:
                    type: string
                    enum:
                      - START
                      - NOW
                      - NEXT_PERIOD
                  fromMonth:
                    type:
                      - string
                      - 'null'
                  firstCharge:
                    type: object
                    properties:
                      'on':
                        type: string
                      amount:
                        type: string
                      currency:
                        type: string
                    required:
                      - 'on'
                      - amount
                      - currency
                required:
                  - takesEffect
                  - fromMonth
                  - firstCharge
            required:
              - catalogVersion
              - name
              - billingInterval
              - trialDays
              - priceDescription
              - periodAmount
              - currency
              - seats
              - current
              - preview
        details:
          type: object
          properties:
            legalName:
              type:
                - string
                - 'null'
            billingAddress:
              type:
                - string
                - 'null'
            billingEmails:
              type: array
              items:
                type: string
            companyName:
              type: string
            editable:
              type: boolean
          required:
            - legalName
            - billingAddress
            - billingEmails
            - companyName
            - editable
        plan:
          type:
            - object
            - 'null'
          properties:
            name:
              type: string
            catalogVersion:
              type: string
            billingInterval:
              type: string
              enum:
                - MONTHLY
                - ANNUAL
            status:
              type: string
              enum:
                - TRIALING
                - ACTIVE
                - PAST_DUE
                - PENDING_PAYMENT
                - CANCELLED
            trialEndsAt:
              type:
                - string
                - 'null'
            paidThroughMonth:
              type:
                - string
                - 'null'
            cancelFromMonth:
              type:
                - string
                - 'null'
            seats:
              type: array
              items:
                type: object
                properties:
                  label:
                    type: string
                  quantity:
                    type: integer
                  billedQuantity:
                    type: integer
                  description:
                    type: string
                required:
                  - label
                  - quantity
                  - billedQuantity
                  - description
            nextCharge:
              type:
                - object
                - 'null'
              properties:
                'on':
                  type: string
                amount:
                  type: string
                currency:
                  type: string
              required:
                - 'on'
                - amount
                - currency
            scheduledChange:
              type:
                - object
                - 'null'
              properties:
                catalogVersion:
                  type: string
                name:
                  type: string
                billingInterval:
                  type: string
                  enum:
                    - MONTHLY
                    - ANNUAL
                fromMonth:
                  type: string
              required:
                - catalogVersion
                - name
                - billingInterval
                - fromMonth
            canChange:
              type: boolean
            cancelFromMonthIfCancelled:
              type:
                - string
                - 'null'
          required:
            - name
            - catalogVersion
            - billingInterval
            - status
            - trialEndsAt
            - paidThroughMonth
            - cancelFromMonth
            - seats
            - nextCharge
            - scheduledChange
            - canChange
            - cancelFromMonthIfCancelled
        card:
          type:
            - object
            - 'null'
          properties:
            brand:
              type: string
            last4:
              type: string
            expMonth:
              type: integer
            expYear:
              type: integer
          required:
            - brand
            - last4
            - expMonth
            - expYear
      required:
        - available
        - canStart
        - canResume
        - agreement
        - plans
        - details
        - plan
        - card
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
